> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Session



## OpenAPI

````yaml api-reference/kyc/openapi.json POST /kyc/entitylocker-sdk/sessions/create
openapi: 3.1.0
info:
  title: in-co-sandbox-kyc
  description: ''
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
    description: test
  - url: https://api.sandbox.co.in
    description: prod
security: []
tags:
  - name: kyc
  - name: digilocker-sdk
  - name: digilocker
  - name: aadhaar
  - name: bank
  - name: pan
  - name: mca
  - name: entitylocker
  - name: entitylocker-sdk
paths:
  /kyc/entitylocker-sdk/sessions/create:
    post:
      tags:
        - kyc
        - entitylocker-sdk
      summary: Create Session
      operationId: createSession
      parameters:
        - name: Authorization
          in: header
          description: >-
            JWT access token. For token-generation steps, refer to the
            [Quickstart
            Guide](https://developer.sandbox.co.in/guides/get-started/quickstart).
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key used to identify and authenticate the client.
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: Specifies the API version for the request.
          required: false
          example: 1.0.0
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Media type of the request body.
          required: false
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.kyc.entitylocker.sdk.session.request
                flow:
                  type: string
                  enum:
                    - signin
                    - signup
                  description: >-
                    EntityLocker authentication flow to initiate for the user.
                    Use `signin` for existing EntityLocker users or `signup` to
                    create a new account.
                doc_types:
                  type: array
                  minItems: 1
                  items:
                    type: string
                    enum:
                      - company_master_details
                      - gstn_details
                      - udhyam_certificate
                  description: >-
                    List of EntityLocker document types for which user consent
                    is being requested.
              required:
                - '@entity'
                - flow
                - doc_types
              additionalProperties: false
            examples:
              200 - OK:
                value:
                  '@entity': in.co.sandbox.kyc.entitylocker.sdk.session.request
                  flow: signin
                  doc_types:
                    - company_master_details
                    - gstn_details
                    - udhyam_certificate
                summary: 200 - OK
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      id:
                        type: string
                        description: >-
                          A unique identifier for the user session. This ID is
                          used to track and manage the state of the user's
                          consent.
                      status:
                        type: string
                        description: >-
                          The current status of the session. It reflects the
                          state or condition of the consent.
                      created_at:
                        type: integer
                    required:
                      - '@entity'
                      - id
                      - status
                      - created_at
                  code:
                    type: integer
                required:
                  - timestamp
                  - transaction_id
                  - data
                  - code
              examples:
                200 - OK:
                  summary: 200 - OK
                  value:
                    timestamp: 1750331120324
                    transaction_id: 5ccad959-0bf4-4472-a3dd-d57e2b61b5a9
                    data:
                      '@entity': in.co.sandbox.kyc.entitylocker.sdk.session
                      id: 0454f149-26d0-41ef-9f14-c54f4b5f7b70
                      status: created
                      created_at: 1750331120324
                    code: 200
          headers: {}
      deprecated: false
      security: []

````